Boomi API Control Plane REST API (MCP Registry) - Registry Server Versions
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Manage server version associations within sub-registries. Requires JWT issued by Platform in the Authorization header.
Add a specified server version to a sub-registry
Associate an existing server version with the given registry. Returns 201 if the association was newly created, or 204 if it already existed. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| registryId required | string <uuid> Identifier of the target sub-registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
| version required | string MCP server version to add, remove, or update (for example, 1.0.0). |
Responses
Delete a server version from a curated sub-registry
Delete the association between a server version and the given registry. Returns 204 if the server version association was deleted successfully or if it did not exist. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| registryId required | string <uuid> Identifier of the target sub-registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
| version required | string MCP server version to add, remove, or update (for example, 1.0.0). |
Responses
Import server versions from an external registry
Get the specified server versions from the given external registry and save them to the account's server catalog. Accepts a list of name/version pairs. Max number of items that can be imported in a single request is 30. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| externalRegistryId required | string <uuid> Identifier of the external registry from which server versions are imported. |
Request Body schema: application/jsonrequired
| property name* additional property | string |
Responses
Request samples
- Payload
[- {
- "property1": "string",
- "property2": "string"
}
]Response samples
- 201
[- {
- "version": "1.0.0",
- "isPublic": true,
- "isPublishedToDevPortal": false,
- "status": "active",
- "statusMessage": "string",
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "publishedAt": "2019-08-24T14:15:22Z",
- "description": "string",
- "title": "string",
- "websiteUrl": "string",
- "repositoryUrl": "string",
- "repositorySource": "string",
- "repositoryId": "string",
- "repositorySubfolder": "string",
- "schemaUrl": "string",
- "icons": "string",
- "packages": "string",
- "remotes": "string",
- "serverJson": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "serverName": "string",
- "toolCount": 0
}
]Update the lifecycle status of a server version in a sub-registry
Set the status (active, deprecated, or deleted) and optional status message for the specified server version curated in the given registry. A statusMessage is not accepted when status is 'active'. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| registryId required | string <uuid> Identifier of the target sub-registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
| version required | string MCP server version to add, remove, or update (for example, 1.0.0). |
Request Body schema: application/jsonrequired
| status required | string Enum: "active" "deprecated" "deleted" The new lifecycle status |
| statusMessage | string [ 0 .. 500 ] characters Optional message providing context for the new status. Not accepted when status is 'active' |
Responses
Response Schema: application/json
| description required | string Detailed description of the server's functionality |
| version required | string [ 0 .. 255 ] characters Version string (e.g., 1.0.0) |
| isPublic | boolean Whether this version is public |
| isPublishedToDevPortal | boolean Whether this version is published to the dev portal |
| status | string [ 0 .. 50 ] characters Enum: "active" "deprecated" "deleted" Status of the version |
| statusMessage | string Optional message providing context for the current status. Not accepted when status is 'active' |
| statusChangedAt | string <date-time> Timestamp when the status was last changed |
| publishedAt | string <date-time> Timestamp when this version was published |
| title | string [ 0 .. 255 ] characters Human-readable title of the server |
| websiteUrl | string [ 0 .. 2048 ] characters URL to the server's website or documentation |
| repositoryUrl | string [ 0 .. 2048 ] characters URL to the server's source code repository |
| repositorySource | string [ 0 .. 50 ] characters Source of the repository (e.g., github, gitlab) |
| repositoryId | string [ 0 .. 255 ] characters Repository identifier (e.g., owner/repo) |
| repositorySubfolder | string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$ Subfolder relative path from repository root to the server location |
| schemaUrl | string URL to the server's JSON schema definition |
| icons | string JSON string containing icon URLs for different sizes |
| packages | string JSON string containing package information |
| remotes | string JSON string containing remote server information |
| serverJson | string JSON string containing server configuration and metadata |
| createdAt | string <date-time> Timestamp when the version was created |
| updatedAt | string <date-time> Timestamp when the version was last updated |
| isLatest | boolean Whether this is the latest version in the registry |
| serverName | string Server name |
| toolCount | integer <int32> Number of tools successfully fetched from the server's remote url |
Request samples
- Payload
{- "status": "deprecated",
- "statusMessage": "string"
}Response samples
- 200
{- "version": "1.0.0",
- "isPublic": true,
- "isPublishedToDevPortal": false,
- "status": "active",
- "statusMessage": "string",
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "publishedAt": "2019-08-24T14:15:22Z",
- "description": "string",
- "title": "string",
- "websiteUrl": "string",
- "repositoryUrl": "string",
- "repositorySource": "string",
- "repositoryId": "string",
- "repositorySubfolder": "string",
- "schemaUrl": "string",
- "icons": "string",
- "packages": "string",
- "remotes": "string",
- "serverJson": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "serverName": "string",
- "toolCount": 0
}Update the lifecycle status for all versions of a server in a sub-registry
Set the status (active, deprecated, or deleted) and optional status message for every version of the specified server curated in the given registry. A statusMessage is not accepted when status is 'active'. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| registryId required | string <uuid> Identifier of the target sub-registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
Request Body schema: application/jsonrequired
| status required | string Enum: "active" "deprecated" "deleted" The new lifecycle status |
| statusMessage | string [ 0 .. 500 ] characters Optional message providing context for the new status. Not accepted when status is 'active' |
Responses
Response Schema: application/json
| description required | string Detailed description of the server's functionality |
| version required | string [ 0 .. 255 ] characters Version string (e.g., 1.0.0) |
| isPublic | boolean Whether this version is public |
| isPublishedToDevPortal | boolean Whether this version is published to the dev portal |
| status | string [ 0 .. 50 ] characters Enum: "active" "deprecated" "deleted" Status of the version |
| statusMessage | string Optional message providing context for the current status. Not accepted when status is 'active' |
| statusChangedAt | string <date-time> Timestamp when the status was last changed |
| publishedAt | string <date-time> Timestamp when this version was published |
| title | string [ 0 .. 255 ] characters Human-readable title of the server |
| websiteUrl | string [ 0 .. 2048 ] characters URL to the server's website or documentation |
| repositoryUrl | string [ 0 .. 2048 ] characters URL to the server's source code repository |
| repositorySource | string [ 0 .. 50 ] characters Source of the repository (e.g., github, gitlab) |
| repositoryId | string [ 0 .. 255 ] characters Repository identifier (e.g., owner/repo) |
| repositorySubfolder | string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$ Subfolder relative path from repository root to the server location |
| schemaUrl | string URL to the server's JSON schema definition |
| icons | string JSON string containing icon URLs for different sizes |
| packages | string JSON string containing package information |
| remotes | string JSON string containing remote server information |
| serverJson | string JSON string containing server configuration and metadata |
| createdAt | string <date-time> Timestamp when the version was created |
| updatedAt | string <date-time> Timestamp when the version was last updated |
| isLatest | boolean Whether this is the latest version in the registry |
| serverName | string Server name |
| toolCount | integer <int32> Number of tools successfully fetched from the server's remote url |
Request samples
- Payload
{- "status": "deprecated",
- "statusMessage": "string"
}Response samples
- 200
[- {
- "version": "1.0.0",
- "isPublic": true,
- "isPublishedToDevPortal": false,
- "status": "active",
- "statusMessage": "string",
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "publishedAt": "2019-08-24T14:15:22Z",
- "description": "string",
- "title": "string",
- "websiteUrl": "string",
- "repositoryUrl": "string",
- "repositorySource": "string",
- "repositoryId": "string",
- "repositorySubfolder": "string",
- "schemaUrl": "string",
- "icons": "string",
- "packages": "string",
- "remotes": "string",
- "serverJson": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "serverName": "string",
- "toolCount": 0
}
]